<?xml version="1.0"?>

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
	xmlns:j2ee="http://java.sun.com/xml/ns/j2ee">
	<xsl:output method="xml" indent="yes"/>
        <xsl:param name="flowctxroot"/>

        <xsl:variable name="srcount" select="count(/j2ee:application/j2ee:security-role)"/>
        

       	<xsl:template match="/j2ee:application/j2ee:module[position()=last()]">
               <xsl:copy-of select="."/>
               <xsl:if test="$srcount = 0">
                 <xsl:element name="security-role" namespace="http://java.sun.com/xml/ns/j2ee">
		   <xsl:element name="description" namespace="http://java.sun.com/xml/ns/j2ee">
                  <xsl:value-of select="concat('Role for accessing ',$flowctxroot)"/>
	  	  </xsl:element>
		  <xsl:element name="role-name" namespace="http://java.sun.com/xml/ns/j2ee">
                  <xsl:value-of select="concat($flowctxroot,'Role')"/>
                  </xsl:element>
	        </xsl:element>
              </xsl:if>
	</xsl:template>

        <xsl:template match="@*|*">
          <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
          </xsl:copy>

</xsl:template>


</xsl:stylesheet>




