@echo off
REM   begin_generated_IBM_prolog                                          
REM                                                                       
REM   prolog.pro.ococ.telcosp                                             
REM   ******************************************************************  
REM   IBM Confidential                                                    
REM                                                                       
REM   OCO Source Materials                                                
REM                                                                       
REM   Product(s): 5724-O05                                                
REM                                                                       
REM   Copyright IBM Corp. 2007, 2008                                      
REM                                                                       
REM   The source code for this program is not published or otherwise      
REM   divested of its trade secrets, irrespective of what has been        
REM   deposited with the US Copyright Office.                             
REM   ******************************************************************  
REM                                                                       
REM   end_generated_IBM_prolog                                            

REM flowearpostproc.bat run command Arguments:                             
REM                                                                        
REM  -buildfile flowearpostproc.xml                                         
REM  -Dear.in="<name of ear file>"                                         
REM  -Dear.dir="<working directory containing ear file>"                   
REM  -Dflow.name="<Name of Flow>" - must match capitalization used for     
REM                                 the project name, not ear name         
REM                                                                        
REM                                                                        
REM ex run command (must be 1 continuous line):                            
REM                                                                        
REM   flowearpostproc.bat -buildfile flowearpostproc.xml                   
REM    -Dear.in="PX_ESB_ALM_FLOW.ear"                                      
REM    -Dear.dir="C:/soa/soar1_051506/build/svcdeploy"                     
REM    -Dflow.name=PX_ESB_ALM_FLOW                                         
REM                                                                        

if "%OS%"=="Windows_NT" @setlocal

rem Slurp the command line arguments. This loop allows for an unlimited number
rem of arguments (up to the command line limit, anyway).
set ANT_CMD_LINE_ARGS=%1
if ""%1""=="""" goto doneStart
shift
:setupArgs
if ""%1""=="""" goto doneStart
set ANT_CMD_LINE_ARGS=%ANT_CMD_LINE_ARGS% %1
shift
goto setupArgs
rem This label provides a place for the argument list loop to break out 
rem and for NT handling to skip to.

:doneStart
rem find WID_HOME if it does not exist due to either an invalid value passed
rem by the user or the %0 problem on Windows 9x
if "%WID_HOME%" == "" goto noWidHome
if exist "%WID_HOME%\eclipse\plugins\org.apache.ant_1.6.2\lib\ant.jar" goto checkJava

:noWidHome
echo WID_HOME is set incorrectly or ant could not be located. Please set WID_HOME.
goto end

:checkJava
set _JAVACMD=%JAVACMD%
set _ANT_HOME=%WID_HOME%\eclipse\plugins\org.apache.ant_1.6.2
set LOCALCLASSPATH=%CLASSPATH%
set LOCALCLASSPATH=%LOCALCLASSPATH%;%_ANT_HOME%\lib\ant.jar
set LOCALCLASSPATH=%LOCALCLASSPATH%;%_ANT_HOME%\lib\ant-launcher.jar
set LOCALCLASSPATH=%LOCALCLASSPATH%;%_ANT_HOME%\lib\ant-trax.jar

if "%_JAVACMD%" == "" set _JAVACMD=%WID_HOME%\eclipse\jre\bin\java.exe

:runAnt
"%_JAVACMD%" %ANT_OPTS% -classpath "%LOCALCLASSPATH%" "-Dant.home=%_ANT_HOME%" org.apache.tools.ant.Main %ANT_ARGS% %ANT_CMD_LINE_ARGS%

:end
set LOCALCLASSPATH=
set _JAVACMD=
set ANT_CMD_LINE_ARGS=
set _ANT_HOME=

if "%OS%"=="Windows_NT" @endlocal

